#!/usr/bin/Rscript   
getwd()
setwd("~/git/mosaic_2020/")
getwd()
########################################################################
# TASK: check stats
########################################################################
# load libraries, packages and local imports
source("Header_TT.R")

#=============
# Input
#=============
source("data_extraction_mediators.R")
#source("read_data.R")

########################################################################
#=============
# Data extraction for non-severe
#=============
table(fp_adults_ics$T1_resp_score)
table(fp_adults_ics$obesity)

df = fp_adults_ics[fp_adults_ics$T1_resp_score==3,]
table(df$obesity)

df_ob = df[df$obesity == 1,]
df_nob = df[df$obesity == 0,]

rm(npa_lf, npa_wf, sam_lf, sam_wf, serum_lf, serum_wf, fp_adults_ics)

#============
# npa
#============
# eotaxin: t1
wilcox.test(df_ob$eotaxin_npa1, df_nob$eotaxin_npa1)
wilcox_test(eotaxin_npa1 ~ obesity, data = df)

foo = data.frame(df$obesity, df$eotaxin_npa1)
na_c = sum(is.na(foo$df.eotaxin_npa1))
nrow(df) - na_c

tapply(df$eotaxin_npa1, df$obesity, median, na.rm = T)
tapply(df$eotaxin_npa1, df$obesity, summary, na.rm = T)

# eotaxin: t1
wilcox.test(df_ob$eotaxin3_npa1, df_nob$eotaxin3_npa1)
wilcox_test(eotaxin3_npa1 ~ obesity, data = df)

foo = data.frame(df$obesity, df$eotaxin3_npa1)
na_c = sum(is.na(foo$df.eotaxin3_npa1))
nrow(df) - na_c

tapply(df$eotaxin3_npa1, df$obesity, median, na.rm = T)
tapply(df$eotaxin3_npa1, df$obesity, summary, na.rm = T)

# il1: t1
wilcox.test(df_ob$il1_npa1, df_nob$il1_npa1)
wilcox_test(il1_npa1 ~ obesity, data = df)

foo = data.frame(df$obesity, df$il1_npa1)
na_c = sum(is.na(foo$df.il1_npa1))
nrow(df) - na_c

tapply(df$il1_npa1, df$obesity, median, na.rm = T)
tapply(df$il1_npa1, df$obesity, summary, na.rm = T)

# il10: t1
wilcox.test(df_ob$il10_npa1, df_nob$il10_npa1)
wilcox_test(il10_npa1 ~ obesity, data = df)

foo = data.frame(df$obesity, df$il10_npa1)
na_c = sum(is.na(foo$df.il10_npa1))
nrow(df) - na_c

tapply(df$il10_npa1, df$obesity, median, na.rm = T)
tapply(df$il10_npa1, df$obesity, summary, na.rm = T)

# il12p70: t1
wilcox.test(df_ob$il12p70_npa1, df_nob$il12p70_npa1)
wilcox_test(il12p70_npa1 ~ obesity, data = df)

foo = data.frame(df$obesity, df$il12p70_npa1)
na_c = sum(is.na(foo$df.il12p70_npa1))
nrow(df) - na_c

tapply(df$il12p70_npa1, df$obesity, median, na.rm = T)
tapply(df$il12p70_npa1, df$obesity, summary, na.rm = T)

# il17: t1
wilcox.test(df_ob$il17_npa1, df_nob$il17_npa1)
wilcox_test(il17_npa1 ~ obesity, data = df)

foo = data.frame(df$obesity, df$il17_npa1)
na_c = sum(is.na(foo$df.il7_npa1))
nrow(df) - na_c

tapply(df$il17_npa1, df$obesity, median, na.rm = T)
tapply(df$il7_npa1, df$obesity, summary, na.rm = T)

# il5: t1
wilcox.test(df_ob$il5_npa1, df_nob$il5_npa1)
wilcox_test(il5_npa1 ~ obesity, data = df)

foo = data.frame(df$obesity, df$il5_npa1)
na_c = sum(is.na(foo$df.il5_npa1))
nrow(df) - na_c

tapply(df$il5_npa1, df$obesity, median, na.rm = T)
tapply(df$il5_npa1, df$obesity, summary, na.rm = T)


# il6: t1
wilcox.test(df_ob$il6_npa1, df_nob$il6_npa1)
wilcox_test(il6_npa1 ~ obesity, data = df)

foo = data.frame(df$obesity, df$il6_npa1)
na_c = sum(is.na(foo$df.il6_npa1))
nrow(df) - na_c

tapply(df$il6_npa1, df$obesity, median, na.rm = T)
tapply(df$il6_npa1, df$obesity, summary, na.rm = T)

# mcp4: t1
wilcox.test(df_ob$mcp4_npa1, df_nob$mcp4_npa1)
wilcox_test(mcp4_npa1 ~ obesity, data = df)

foo = data.frame(df$obesity, df$mcp4_npa1)
na_c = sum(is.na(foo$df.mcp4_npa1))
nrow(df) - na_c

tapply(df$mcp4_npa1, df$obesity, median, na.rm = T)
tapply(df$mcp4_npa1, df$obesity, summary, na.rm = T)


# mip17: t1
wilcox.test(df_ob$mip17_npa1, df_nob$mip17_npa1)
wilcox_test(mip17_npa1 ~ obesity, data = df)

foo = data.frame(df$obesity, df$mip17_npa1)
na_c = sum(is.na(foo$df.mip17_npa1))
nrow(df) - na_c

tapply(df$mip17_npa1, df$obesity, median, na.rm = T)
tapply(df$mip17_npa1, df$obesity, summary, na.rm = T)


# neopterin: t1
wilcox.test(df_ob$neopterin_npa1, df_nob$neopterin_npa1)
wilcox_test(neopterin_npa1 ~ obesity, data = df)

foo = data.frame(df$obesity, df$neopterin_npa1)
na_c = sum(is.na(foo$df.neopterin_npa1))
nrow(df) - na_c

tapply(df$neopterin_npa1, df$obesity, median, na.rm = T)
tapply(df$neopterin_npa1, df$obesity, summary, na.rm = T)

# tnfr1: t1
wilcox.test(df_ob$tnfr1_npa1, df_nob$tnfr1_npa1)
wilcox_test(tnfr1_npa1 ~ obesity, data = df)

foo = data.frame(df$obesity, df$neopterin_npa1)
na_c = sum(is.na(foo$df.tnfr1_npa1))
nrow(df) - na_c

tapply(df$tnfr1_npa1, df$obesity, median, na.rm = T)
tapply(df$tnfr1_npa1 , df$obesity, summary, na.rm = T)

#============
# sam
#============
# il5: t1
wilcox.test(df_ob$il5_sam1, df_nob$il5_sam1)
wilcox_test(il5_sam1 ~ obesity, data = df)

foo = data.frame(df$obesity, df$il5_sam1)
na_c = sum(is.na(foo$df.il5_sam1))
nrow(df) - na_c

tapply(df$il5_sam1, df$obesity, median, na.rm = T)
tapply(df$il5_sam1 , df$obesity, summary, na.rm = T)

#============
# serum
#============
# il17: t1
wilcox.test(df_ob$il17_serum1, df_nob$il17_serum1)
wilcox_test(il17_serum1 ~ obesity, data = df)

foo = data.frame(df$obesity, df$il17_serum1)
na_c = sum(is.na(foo$df.il17_serum1))
nrow(df) - na_c

tapply(df$il17_serum1, df$obesity, median, na.rm = T)
tapply(df$il17_serum1 , df$obesity, summary, na.rm = T)


# il17: t3
wilcox.test(df_ob$il17_serum3, df_nob$il17_serum3)
wilcox_test(il17_serum3 ~ obesity, data = df)

foo = data.frame(df$obesity, df$il17_serum3)
na_c = sum(is.na(foo$df.il17_serum3))
nrow(df) - na_c

tapply(df$il17_serum3, df$obesity, median, na.rm = T)
tapply(df$il17_serum3 , df$obesity, summary, na.rm = T)

# mcp4: t3
wilcox.test(df_ob$mcp4_serum3, df_nob$mcp4_serum3)
wilcox_test(mcp4_serum3 ~ obesity, data = df)

foo = data.frame(df$obesity, df$mcp4_serum3)
na_c = sum(is.na(foo$df.mcp4_serum3))
nrow(df) - na_c

tapply(df$mcp4_serum3, df$obesity, median, na.rm = T)
tapply(df$mcp4_serum3, df$obesity, summary, na.rm = T)


# eotaxin3: t3
wilcox.test(df_ob$eotaxin3_serum3, df_nob$eotaxin3_serum3)
wilcox_test(eotaxin3_serum3 ~ obesity, data = df)

foo = data.frame(df$obesity, df$eotaxin3_serum3)
na_c = sum(is.na(foo$df.eotaxin3_serum3))
nrow(df) - na_c

tapply(df$eotaxin3_serum3, df$obesity, median, na.rm = T)
tapply(df$eotaxin3_serum3, df$obesity, summary, na.rm = T)


# rantes: t3
wilcox.test(df_ob$rantes_serum3, df_nob$rantes_serum3)
wilcox_test(rantes_serum3 ~ obesity, data = df)

foo = data.frame(df$obesity, df$rantes_serum3)
na_c = sum(is.na(foo$df.rantes_serum3))
nrow(df) - na_c

tapply(df$rantes_serum3, df$obesity, median, na.rm = T)
tapply(df$rantes_serum3, df$obesity, summary, na.rm = T)

